<?php

namespace omsservice;


/**
 * 
 */
class SubscriptionBillingClientService extends \SoapClient
{

  /**
   * 
   * @var array $classmap The defined classes
   * @access private
   */
  private static $classmap = array(
    'getSubscriptionQuotedFee' => 'omsservice\getSubscriptionQuotedFee',
    'getSubscriptionQuotedFeeResponse' => 'omsservice\getSubscriptionQuotedFeeResponse',
    'subscriptionQuotedFeeTO' => 'omsservice\subscriptionQuotedFeeTO',
    'ApplicationException' => 'omsservice\ApplicationException',
    'createSubscriptionPeriod' => 'omsservice\createSubscriptionPeriod',
    'subscriptionPeriodCreateRequestTO' => 'omsservice\subscriptionPeriodCreateRequestTO',
    'createSubscriptionPeriodResponse' => 'omsservice\createSubscriptionPeriodResponse',
    'echoTest' => 'omsservice\echoTest',
    'echoTestResponse' => 'omsservice\echoTestResponse',
    'getUnBilledSubscriptionRenewalIds' => 'omsservice\getUnBilledSubscriptionRenewalIds',
    'getUnBilledSubscriptionRenewalIdsResponse' => 'omsservice\getUnBilledSubscriptionRenewalIdsResponse',
    'getSubscriptionMethodFixedFees' => 'omsservice\getSubscriptionMethodFixedFees',
    'getSubscriptionMethodFixedFeesResponse' => 'omsservice\getSubscriptionMethodFixedFeesResponse',
    'subscriptionFixedFeeTO' => 'omsservice\subscriptionFixedFeeTO',
    'getSubscriptionRenewalBillingContext' => 'omsservice\getSubscriptionRenewalBillingContext',
    'getSubscriptionRenewalBillingContextResponse' => 'omsservice\getSubscriptionRenewalBillingContextResponse',
    'subscriptionRenewalPlusBillingContextTO' => 'omsservice\subscriptionRenewalPlusBillingContextTO',
    'personTO' => 'omsservice\personTO',
    'addressTO' => 'omsservice\addressTO',
    'subscriptionFrequencyTO' => 'omsservice\subscriptionFrequencyTO',
    'subscriptionMethodTO' => 'omsservice\subscriptionMethodTO',
    'subscriptionRenewalTO' => 'omsservice\subscriptionRenewalTO',
    'searchSubscriptionRenewals' => 'omsservice\searchSubscriptionRenewals',
    'subscriptionRenewalSearchRequestTO' => 'omsservice\subscriptionRenewalSearchRequestTO',
    'searchSubscriptionRenewalsResponse' => 'omsservice\searchSubscriptionRenewalsResponse');

  /**
   * 
   * @param array $options A array of config values
   * @param string $wsdl The wsdl file to use
   * @access public
   */
  public function __construct(array $options = array(), $wsdl = '../src/omsservice/SubscriptionBillingClientService.wsdl')
  {
    foreach (self::$classmap as $key => $value) {
      if (!isset($options['classmap'][$key])) {
        $options['classmap'][$key] = $value;
      }
    }
    
    if (isset($options['features']) == false) {
      $options['features'] = SOAP_SINGLE_ELEMENT_ARRAYS | SOAP_USE_XSI_ARRAY_TYPE;
    }
  
    if (isset($options['wsdl_cache']) == false) {
      $options['wsdl_cache'] = WSDL_CACHE_NONE;
    }
  
    parent::__construct($wsdl, $options);
  }

  /**
   * 
   * @param searchSubscriptionRenewals $parameters
   * @access public
   * @return searchSubscriptionRenewalsResponse
   */
  public function searchSubscriptionRenewals(searchSubscriptionRenewals $parameters)
  {
    return $this->__soapCall('searchSubscriptionRenewals', array($parameters));
  }

  /**
   * 
   * @param createSubscriptionPeriod $parameters
   * @access public
   * @return createSubscriptionPeriodResponse
   */
  public function createSubscriptionPeriod(createSubscriptionPeriod $parameters)
  {
    return $this->__soapCall('createSubscriptionPeriod', array($parameters));
  }

  /**
   * 
   * @param echoTest $parameters
   * @access public
   * @return echoTestResponse
   */
  public function echoTest(echoTest $parameters)
  {
    return $this->__soapCall('echoTest', array($parameters));
  }

  /**
   * 
   * @param getSubscriptionMethodFixedFees $parameters
   * @access public
   * @return getSubscriptionMethodFixedFeesResponse
   */
  public function getSubscriptionMethodFixedFees(getSubscriptionMethodFixedFees $parameters)
  {
    return $this->__soapCall('getSubscriptionMethodFixedFees', array($parameters));
  }

  /**
   * 
   * @param getSubscriptionQuotedFee $parameters
   * @access public
   * @return getSubscriptionQuotedFeeResponse
   */
  public function getSubscriptionQuotedFee(getSubscriptionQuotedFee $parameters)
  {
    return $this->__soapCall('getSubscriptionQuotedFee', array($parameters));
  }

  /**
   * 
   * @param getSubscriptionRenewalBillingContext $parameters
   * @access public
   * @return getSubscriptionRenewalBillingContextResponse
   */
  public function getSubscriptionRenewalBillingContext(getSubscriptionRenewalBillingContext $parameters)
  {
    return $this->__soapCall('getSubscriptionRenewalBillingContext', array($parameters));
  }

  /**
   * 
   * @param getUnBilledSubscriptionRenewalIds $parameters
   * @access public
   * @return getUnBilledSubscriptionRenewalIdsResponse
   */
  public function getUnBilledSubscriptionRenewalIds(getUnBilledSubscriptionRenewalIds $parameters)
  {
    return $this->__soapCall('getUnBilledSubscriptionRenewalIds', array($parameters));
  }

}
class getSubscriptionQuotedFee
{

  /**
   * 
   * @var string $subscriptionRenewalId
   * @access public
   */
  public $subscriptionRenewalId = null;

  /**
   * 
   * @param string $subscriptionRenewalId
   * @access public
   */
  public function __construct($subscriptionRenewalId = null)
  {
    $this->subscriptionRenewalId = $subscriptionRenewalId;
  }

}
class getSubscriptionQuotedFeeResponse
{

  /**
   * 
   * @var subscriptionQuotedFeeTO $return
   * @access public
   */
  public $return = null;

  /**
   * 
   * @param subscriptionQuotedFeeTO $return
   * @access public
   */
  public function __construct($return = null)
  {
    $this->return = $return;
  }

}
class subscriptionQuotedFeeTO
{

  /**
   * 
   * @var int $amount
   * @access public
   */
  public $amount = null;

  /**
   * 
   * @var dateTime $created
   * @access public
   */
  public $created = null;

  /**
   * 
   * @var dateTime $modified
   * @access public
   */
  public $modified = null;

  /**
   * 
   * @var string $subscriptionRenewalId
   * @access public
   */
  public $subscriptionRenewalId = null;

  /**
   * 
   * @param int $amount
   * @param dateTime $created
   * @param dateTime $modified
   * @param string $subscriptionRenewalId
   * @access public
   */
  public function __construct($amount = null, $created = null, $modified = null, $subscriptionRenewalId = null)
  {
    $this->amount = $amount;
    $this->created = $created;
    $this->modified = $modified;
    $this->subscriptionRenewalId = $subscriptionRenewalId;
  }

}
class ApplicationException
{

  /**
   * 
   * @var string $errorCode
   * @access public
   */
  public $errorCode = null;

  /**
   * 
   * @var string $message
   * @access public
   */
  public $message = null;

  /**
   * 
   * @var string $referenceId
   * @access public
   */
  public $referenceId = null;

  /**
   * 
   * @var string $stackTraceMessage
   * @access public
   */
  public $stackTraceMessage = null;

  /**
   * 
   * @param string $errorCode
   * @param string $message
   * @param string $referenceId
   * @param string $stackTraceMessage
   * @access public
   */
  public function __construct($errorCode = null, $message = null, $referenceId = null, $stackTraceMessage = null)
  {
    $this->errorCode = $errorCode;
    $this->message = $message;
    $this->referenceId = $referenceId;
    $this->stackTraceMessage = $stackTraceMessage;
  }

}
class createSubscriptionPeriod
{

  /**
   * 
   * @var subscriptionPeriodCreateRequestTO $subscriptionPeriodCreateRequest
   * @access public
   */
  public $subscriptionPeriodCreateRequest = null;

  /**
   * 
   * @param subscriptionPeriodCreateRequestTO $subscriptionPeriodCreateRequest
   * @access public
   */
  public function __construct($subscriptionPeriodCreateRequest = null)
  {
    $this->subscriptionPeriodCreateRequest = $subscriptionPeriodCreateRequest;
  }

}
class subscriptionPeriodCreateRequestTO
{

  /**
   * 
   * @var string $associationId
   * @access public
   */
  public $associationId = null;

  /**
   * 
   * @var string $description
   * @access public
   */
  public $description = null;

  /**
   * 
   * @var int $fee
   * @access public
   */
  public $fee = null;

  /**
   * 
   * @var string $financialCostCentreId
   * @access public
   */
  public $financialCostCentreId = null;

  /**
   * 
   * @var dateTime $from
   * @access public
   */
  public $from = null;

  /**
   * 
   * @var int $gst
   * @access public
   */
  public $gst = null;

  /**
   * 
   * @var string $id
   * @access public
   */
  public $id = null;

  /**
   * 
   * @var dateTime $payableDate
   * @access public
   */
  public $payableDate = null;

  /**
   * 
   * @var string $subscriberFinancialAccountId
   * @access public
   */
  public $subscriberFinancialAccountId = null;

  /**
   * 
   * @var string $subscriptionFeeFinancialAccountId
   * @access public
   */
  public $subscriptionFeeFinancialAccountId = null;

  /**
   * 
   * @var string $subscriptionMethodId
   * @access public
   */
  public $subscriptionMethodId = null;

  /**
   * 
   * @var dateTime $to
   * @access public
   */
  public $to = null;

  /**
   * 
   * @param string $associationId
   * @param string $description
   * @param int $fee
   * @param string $financialCostCentreId
   * @param dateTime $from
   * @param int $gst
   * @param string $id
   * @param dateTime $payableDate
   * @param string $subscriberFinancialAccountId
   * @param string $subscriptionFeeFinancialAccountId
   * @param string $subscriptionMethodId
   * @param dateTime $to
   * @access public
   */
  public function __construct($associationId = null, $description = null, $fee = null, $financialCostCentreId = null, $from = null, $gst = null, $id = null, $payableDate = null, $subscriberFinancialAccountId = null, $subscriptionFeeFinancialAccountId = null, $subscriptionMethodId = null, $to = null)
  {
    $this->associationId = $associationId;
    $this->description = $description;
    $this->fee = $fee;
    $this->financialCostCentreId = $financialCostCentreId;
    $this->from = $from;
    $this->gst = $gst;
    $this->id = $id;
    $this->payableDate = $payableDate;
    $this->subscriberFinancialAccountId = $subscriberFinancialAccountId;
    $this->subscriptionFeeFinancialAccountId = $subscriptionFeeFinancialAccountId;
    $this->subscriptionMethodId = $subscriptionMethodId;
    $this->to = $to;
  }

}
class createSubscriptionPeriodResponse
{

  /**
   * 
   * @var string $return
   * @access public
   */
  public $return = null;

  /**
   * 
   * @param string $return
   * @access public
   */
  public function __construct($return = null)
  {
    $this->return = $return;
  }

}
class echoTest
{

  /**
   * 
   * @var string $echoString
   * @access public
   */
  public $echoString = null;

  /**
   * 
   * @param string $echoString
   * @access public
   */
  public function __construct($echoString = null)
  {
    $this->echoString = $echoString;
  }

}
class echoTestResponse
{

  /**
   * 
   * @var string $return
   * @access public
   */
  public $return = null;

  /**
   * 
   * @param string $return
   * @access public
   */
  public function __construct($return = null)
  {
    $this->return = $return;
  }

}
class getUnBilledSubscriptionRenewalIds
{

  /**
   * 
   * @var string $administrationUnitId
   * @access public
   */
  public $administrationUnitId = null;

  /**
   * 
   * @var string $billingAlgorithmId
   * @access public
   */
  public $billingAlgorithmId = null;

  /**
   * 
   * @var dateTime $billingDate
   * @access public
   */
  public $billingDate = null;

  /**
   * 
   * @param string $administrationUnitId
   * @param string $billingAlgorithmId
   * @param dateTime $billingDate
   * @access public
   */
  public function __construct($administrationUnitId = null, $billingAlgorithmId = null, $billingDate = null)
  {
    $this->administrationUnitId = $administrationUnitId;
    $this->billingAlgorithmId = $billingAlgorithmId;
    $this->billingDate = $billingDate;
  }

}
class getUnBilledSubscriptionRenewalIdsResponse
{

  /**
   * 
   * @var string $return
   * @access public
   */
  public $return = null;

  /**
   * 
   * @param string $return
   * @access public
   */
  public function __construct($return = null)
  {
    $this->return = $return;
  }

}
class getSubscriptionMethodFixedFees
{

  /**
   * 
   * @var string $subscriptionMethodId
   * @access public
   */
  public $subscriptionMethodId = null;

  /**
   * 
   * @param string $subscriptionMethodId
   * @access public
   */
  public function __construct($subscriptionMethodId = null)
  {
    $this->subscriptionMethodId = $subscriptionMethodId;
  }

}
class getSubscriptionMethodFixedFeesResponse
{

  /**
   * 
   * @var subscriptionFixedFeeTO $return
   * @access public
   */
  public $return = null;

  /**
   * 
   * @param subscriptionFixedFeeTO $return
   * @access public
   */
  public function __construct($return = null)
  {
    $this->return = $return;
  }

}
class subscriptionFixedFeeTO
{

  /**
   * 
   * @var int $amount
   * @access public
   */
  public $amount = null;

  /**
   * 
   * @var dateTime $created
   * @access public
   */
  public $created = null;

  /**
   * 
   * @var dateTime $from
   * @access public
   */
  public $from = null;

  /**
   * 
   * @var string $id
   * @access public
   */
  public $id = null;

  /**
   * 
   * @var dateTime $modified
   * @access public
   */
  public $modified = null;

  /**
   * 
   * @var string $subscriptionMethodId
   * @access public
   */
  public $subscriptionMethodId = null;

  /**
   * 
   * @param int $amount
   * @param dateTime $created
   * @param dateTime $from
   * @param string $id
   * @param dateTime $modified
   * @param string $subscriptionMethodId
   * @access public
   */
  public function __construct($amount = null, $created = null, $from = null, $id = null, $modified = null, $subscriptionMethodId = null)
  {
    $this->amount = $amount;
    $this->created = $created;
    $this->from = $from;
    $this->id = $id;
    $this->modified = $modified;
    $this->subscriptionMethodId = $subscriptionMethodId;
  }

}
class getSubscriptionRenewalBillingContext
{

  /**
   * 
   * @var string $subscriptionRenewalId
   * @access public
   */
  public $subscriptionRenewalId = null;

  /**
   * 
   * @var dateTime $billingDate
   * @access public
   */
  public $billingDate = null;

  /**
   * 
   * @param string $subscriptionRenewalId
   * @param dateTime $billingDate
   * @access public
   */
  public function __construct($subscriptionRenewalId = null, $billingDate = null)
  {
    $this->subscriptionRenewalId = $subscriptionRenewalId;
    $this->billingDate = $billingDate;
  }

}
class getSubscriptionRenewalBillingContextResponse
{

  /**
   * 
   * @var subscriptionRenewalPlusBillingContextTO $return
   * @access public
   */
  public $return = null;

  /**
   * 
   * @param subscriptionRenewalPlusBillingContextTO $return
   * @access public
   */
  public function __construct($return = null)
  {
    $this->return = $return;
  }

}
class subscriptionRenewalPlusBillingContextTO
{

  /**
   * 
   * @var dateTime $billingDate
   * @access public
   */
  public $billingDate = null;

  /**
   * 
   * @var string $overlappingSubscriptionPeriodId
   * @access public
   */
  public $overlappingSubscriptionPeriodId = null;

  /**
   * 
   * @var personTO $person
   * @access public
   */
  public $person = null;

  /**
   * 
   * @var subscriptionFrequencyTO $subscriptionFrequency
   * @access public
   */
  public $subscriptionFrequency = null;

  /**
   * 
   * @var subscriptionMethodTO $subscriptionMethod
   * @access public
   */
  public $subscriptionMethod = null;

  /**
   * 
   * @var int $subscriptionPeriodAllowedDays
   * @access public
   */
  public $subscriptionPeriodAllowedDays = null;

  /**
   * 
   * @var dateTime $subscriptionPeriodAllowedFrom
   * @access public
   */
  public $subscriptionPeriodAllowedFrom = null;

  /**
   * 
   * @var dateTime $subscriptionPeriodAllowedTo
   * @access public
   */
  public $subscriptionPeriodAllowedTo = null;

  /**
   * 
   * @var int $subscriptionPeriodPreferredDays
   * @access public
   */
  public $subscriptionPeriodPreferredDays = null;

  /**
   * 
   * @var dateTime $subscriptionPeriodPreferredFrom
   * @access public
   */
  public $subscriptionPeriodPreferredFrom = null;

  /**
   * 
   * @var dateTime $subscriptionPeriodPreferredTo
   * @access public
   */
  public $subscriptionPeriodPreferredTo = null;

  /**
   * 
   * @var subscriptionRenewalTO $subscriptionRenewal
   * @access public
   */
  public $subscriptionRenewal = null;

  /**
   * 
   * @param dateTime $billingDate
   * @param string $overlappingSubscriptionPeriodId
   * @param personTO $person
   * @param subscriptionFrequencyTO $subscriptionFrequency
   * @param subscriptionMethodTO $subscriptionMethod
   * @param int $subscriptionPeriodAllowedDays
   * @param dateTime $subscriptionPeriodAllowedFrom
   * @param dateTime $subscriptionPeriodAllowedTo
   * @param int $subscriptionPeriodPreferredDays
   * @param dateTime $subscriptionPeriodPreferredFrom
   * @param dateTime $subscriptionPeriodPreferredTo
   * @param subscriptionRenewalTO $subscriptionRenewal
   * @access public
   */
  public function __construct($billingDate = null, $overlappingSubscriptionPeriodId = null, $person = null, $subscriptionFrequency = null, $subscriptionMethod = null, $subscriptionPeriodAllowedDays = null, $subscriptionPeriodAllowedFrom = null, $subscriptionPeriodAllowedTo = null, $subscriptionPeriodPreferredDays = null, $subscriptionPeriodPreferredFrom = null, $subscriptionPeriodPreferredTo = null, $subscriptionRenewal = null)
  {
    $this->billingDate = $billingDate;
    $this->overlappingSubscriptionPeriodId = $overlappingSubscriptionPeriodId;
    $this->person = $person;
    $this->subscriptionFrequency = $subscriptionFrequency;
    $this->subscriptionMethod = $subscriptionMethod;
    $this->subscriptionPeriodAllowedDays = $subscriptionPeriodAllowedDays;
    $this->subscriptionPeriodAllowedFrom = $subscriptionPeriodAllowedFrom;
    $this->subscriptionPeriodAllowedTo = $subscriptionPeriodAllowedTo;
    $this->subscriptionPeriodPreferredDays = $subscriptionPeriodPreferredDays;
    $this->subscriptionPeriodPreferredFrom = $subscriptionPeriodPreferredFrom;
    $this->subscriptionPeriodPreferredTo = $subscriptionPeriodPreferredTo;
    $this->subscriptionRenewal = $subscriptionRenewal;
  }

}
class personTO
{

  /**
   * 
   * @var addressTO $address
   * @access public
   */
  public $address = null;

  /**
   * 
   * @var dateTime $created
   * @access public
   */
  public $created = null;

  /**
   * 
   * @var dateTime $dob
   * @access public
   */
  public $dob = null;

  /**
   * 
   * @var string $email
   * @access public
   */
  public $email = null;

  /**
   * 
   * @var string $firstNames
   * @access public
   */
  public $firstNames = null;

  /**
   * 
   * @var string $gender
   * @access public
   */
  public $gender = null;

  /**
   * 
   * @var string $homePhone
   * @access public
   */
  public $homePhone = null;

  /**
   * 
   * @var string $id
   * @access public
   */
  public $id = null;

  /**
   * 
   * @var string $lastName
   * @access public
   */
  public $lastName = null;

  /**
   * 
   * @var string $mobilePhone
   * @access public
   */
  public $mobilePhone = null;

  /**
   * 
   * @var dateTime $modified
   * @access public
   */
  public $modified = null;

  /**
   * 
   * @param addressTO $address
   * @param dateTime $created
   * @param dateTime $dob
   * @param string $email
   * @param string $firstNames
   * @param string $gender
   * @param string $homePhone
   * @param string $id
   * @param string $lastName
   * @param string $mobilePhone
   * @param dateTime $modified
   * @access public
   */
  public function __construct($address = null, $created = null, $dob = null, $email = null, $firstNames = null, $gender = null, $homePhone = null, $id = null, $lastName = null, $mobilePhone = null, $modified = null)
  {
    $this->address = $address;
    $this->created = $created;
    $this->dob = $dob;
    $this->email = $email;
    $this->firstNames = $firstNames;
    $this->gender = $gender;
    $this->homePhone = $homePhone;
    $this->id = $id;
    $this->lastName = $lastName;
    $this->mobilePhone = $mobilePhone;
    $this->modified = $modified;
  }

}
class addressTO
{

  /**
   * 
   * @var string $administrativeArea
   * @access public
   */
  public $administrativeArea = null;

  /**
   * 
   * @var string $countryCode
   * @access public
   */
  public $countryCode = null;

  /**
   * 
   * @var dateTime $created
   * @access public
   */
  public $created = null;

  /**
   * 
   * @var string $formatted
   * @access public
   */
  public $formatted = null;

  /**
   * 
   * @var string $id
   * @access public
   */
  public $id = null;

  /**
   * 
   * @var string $locality
   * @access public
   */
  public $locality = null;

  /**
   * 
   * @var dateTime $modified
   * @access public
   */
  public $modified = null;

  /**
   * 
   * @var string $postalCode
   * @access public
   */
  public $postalCode = null;

  /**
   * 
   * @var string $street
   * @access public
   */
  public $street = null;

  /**
   * 
   * @var string $subAdministrativeArea
   * @access public
   */
  public $subAdministrativeArea = null;

  /**
   * 
   * @var string $subStreet
   * @access public
   */
  public $subStreet = null;

  /**
   * 
   * @param string $administrativeArea
   * @param string $countryCode
   * @param dateTime $created
   * @param string $formatted
   * @param string $id
   * @param string $locality
   * @param dateTime $modified
   * @param string $postalCode
   * @param string $street
   * @param string $subAdministrativeArea
   * @param string $subStreet
   * @access public
   */
  public function __construct($administrativeArea = null, $countryCode = null, $created = null, $formatted = null, $id = null, $locality = null, $modified = null, $postalCode = null, $street = null, $subAdministrativeArea = null, $subStreet = null)
  {
    $this->administrativeArea = $administrativeArea;
    $this->countryCode = $countryCode;
    $this->created = $created;
    $this->formatted = $formatted;
    $this->id = $id;
    $this->locality = $locality;
    $this->modified = $modified;
    $this->postalCode = $postalCode;
    $this->street = $street;
    $this->subAdministrativeArea = $subAdministrativeArea;
    $this->subStreet = $subStreet;
  }

}
class subscriptionFrequencyTO
{

  /**
   * 
   * @var string $administrationUnitId
   * @access public
   */
  public $administrationUnitId = null;

  /**
   * 
   * @var dateTime $created
   * @access public
   */
  public $created = null;

  /**
   * 
   * @var string $id
   * @access public
   */
  public $id = null;

  /**
   * 
   * @var dateTime $modified
   * @access public
   */
  public $modified = null;

  /**
   * 
   * @var string $name
   * @access public
   */
  public $name = null;

  /**
   * 
   * @var string $period
   * @access public
   */
  public $period = null;

  /**
   * 
   * @var int $periodAmount
   * @access public
   */
  public $periodAmount = null;

  /**
   * 
   * @param string $administrationUnitId
   * @param dateTime $created
   * @param string $id
   * @param dateTime $modified
   * @param string $name
   * @param string $period
   * @param int $periodAmount
   * @access public
   */
  public function __construct($administrationUnitId = null, $created = null, $id = null, $modified = null, $name = null, $period = null, $periodAmount = null)
  {
    $this->administrationUnitId = $administrationUnitId;
    $this->created = $created;
    $this->id = $id;
    $this->modified = $modified;
    $this->name = $name;
    $this->period = $period;
    $this->periodAmount = $periodAmount;
  }

}
class subscriptionMethodTO
{

  /**
   * 
   * @var string $billingAlgorithmId
   * @access public
   */
  public $billingAlgorithmId = null;

  /**
   * 
   * @var dateTime $created
   * @access public
   */
  public $created = null;

  /**
   * 
   * @var string $financialAccountId
   * @access public
   */
  public $financialAccountId = null;

  /**
   * 
   * @var string $financialCostCentreId
   * @access public
   */
  public $financialCostCentreId = null;

  /**
   * 
   * @var dateTime $from
   * @access public
   */
  public $from = null;

  /**
   * 
   * @var string $groupId
   * @access public
   */
  public $groupId = null;

  /**
   * 
   * @var string $id
   * @access public
   */
  public $id = null;

  /**
   * 
   * @var dateTime $modified
   * @access public
   */
  public $modified = null;

  /**
   * 
   * @var string $name
   * @access public
   */
  public $name = null;

  /**
   * 
   * @var string $subscriptionFrequencyId
   * @access public
   */
  public $subscriptionFrequencyId = null;

  /**
   * 
   * @var dateTime $to
   * @access public
   */
  public $to = null;

  /**
   * 
   * @param string $billingAlgorithmId
   * @param dateTime $created
   * @param string $financialAccountId
   * @param string $financialCostCentreId
   * @param dateTime $from
   * @param string $groupId
   * @param string $id
   * @param dateTime $modified
   * @param string $name
   * @param string $subscriptionFrequencyId
   * @param dateTime $to
   * @access public
   */
  public function __construct($billingAlgorithmId = null, $created = null, $financialAccountId = null, $financialCostCentreId = null, $from = null, $groupId = null, $id = null, $modified = null, $name = null, $subscriptionFrequencyId = null, $to = null)
  {
    $this->billingAlgorithmId = $billingAlgorithmId;
    $this->created = $created;
    $this->financialAccountId = $financialAccountId;
    $this->financialCostCentreId = $financialCostCentreId;
    $this->from = $from;
    $this->groupId = $groupId;
    $this->id = $id;
    $this->modified = $modified;
    $this->name = $name;
    $this->subscriptionFrequencyId = $subscriptionFrequencyId;
    $this->to = $to;
  }

}
class subscriptionRenewalTO
{

  /**
   * 
   * @var string $associationId
   * @access public
   */
  public $associationId = null;

  /**
   * 
   * @var dateTime $created
   * @access public
   */
  public $created = null;

  /**
   * 
   * @var string $financialAccountId
   * @access public
   */
  public $financialAccountId = null;

  /**
   * 
   * @var dateTime $from
   * @access public
   */
  public $from = null;

  /**
   * 
   * @var string $id
   * @access public
   */
  public $id = null;

  /**
   * 
   * @var dateTime $modified
   * @access public
   */
  public $modified = null;

  /**
   * 
   * @var string $subscriptionMethodId
   * @access public
   */
  public $subscriptionMethodId = null;

  /**
   * 
   * @var dateTime $to
   * @access public
   */
  public $to = null;

  /**
   * 
   * @param string $associationId
   * @param dateTime $created
   * @param string $financialAccountId
   * @param dateTime $from
   * @param string $id
   * @param dateTime $modified
   * @param string $subscriptionMethodId
   * @param dateTime $to
   * @access public
   */
  public function __construct($associationId = null, $created = null, $financialAccountId = null, $from = null, $id = null, $modified = null, $subscriptionMethodId = null, $to = null)
  {
    $this->associationId = $associationId;
    $this->created = $created;
    $this->financialAccountId = $financialAccountId;
    $this->from = $from;
    $this->id = $id;
    $this->modified = $modified;
    $this->subscriptionMethodId = $subscriptionMethodId;
    $this->to = $to;
  }

}
class searchSubscriptionRenewals
{

  /**
   * 
   * @var subscriptionRenewalSearchRequestTO $searchRequest
   * @access public
   */
  public $searchRequest = null;

  /**
   * 
   * @param subscriptionRenewalSearchRequestTO $searchRequest
   * @access public
   */
  public function __construct($searchRequest = null)
  {
    $this->searchRequest = $searchRequest;
  }

}
class subscriptionRenewalSearchRequestTO
{

  /**
   * 
   * @var string[] $administrationUnitIds
   * @access public
   */
  public $administrationUnitIds = null;

  /**
   * 
   * @var string[] $associationIds
   * @access public
   */
  public $associationIds = null;

  /**
   * 
   * @var dateTime $from
   * @access public
   */
  public $from = null;

  /**
   * 
   * @var string[] $groupIds
   * @access public
   */
  public $groupIds = null;

  /**
   * 
   * @var string[] $ids
   * @access public
   */
  public $ids = null;

  /**
   * 
   * @var boolean $orderByDateDesc
   * @access public
   */
  public $orderByDateDesc = null;

  /**
   * 
   * @var boolean $orderByModified
   * @access public
   */
  public $orderByModified = null;

  /**
   * 
   * @var int $rowLimit
   * @access public
   */
  public $rowLimit = null;

  /**
   * 
   * @var int $rowOffset
   * @access public
   */
  public $rowOffset = null;

  /**
   * 
   * @var string[] $subscriptionMethodIds
   * @access public
   */
  public $subscriptionMethodIds = null;

  /**
   * 
   * @var dateTime $to
   * @access public
   */
  public $to = null;

  /**
   * 
   * @param dateTime $from
   * @param boolean $orderByDateDesc
   * @param boolean $orderByModified
   * @param int $rowLimit
   * @param int $rowOffset
   * @param dateTime $to
   * @access public
   */
  public function __construct($from = null, $orderByDateDesc = null, $orderByModified = null, $rowLimit = null, $rowOffset = null, $to = null)
  {
    $this->from = $from;
    $this->orderByDateDesc = $orderByDateDesc;
    $this->orderByModified = $orderByModified;
    $this->rowLimit = $rowLimit;
    $this->rowOffset = $rowOffset;
    $this->to = $to;
  }

}
class searchSubscriptionRenewalsResponse
{

  /**
   * 
   * @var subscriptionRenewalTO $return
   * @access public
   */
  public $return = null;

  /**
   * 
   * @param subscriptionRenewalTO $return
   * @access public
   */
  public function __construct($return = null)
  {
    $this->return = $return;
  }

}
